#[expect(dead_code)]
#[derive(Debug)]
pub enum ReplayError{
	IO(std::io::Error),
	SNF(strafesnet_snf::Error),
	SNFM(strafesnet_snf::map::Error),
	SNFB(strafesnet_snf::bot::Error),
}
impl From<std::io::Error> for ReplayError{
	fn from(value:std::io::Error)->Self{
		Self::IO(value)
	}
}
impl From<strafesnet_snf::Error> for ReplayError{
	fn from(value:strafesnet_snf::Error)->Self{
		Self::SNF(value)
	}
}
impl From<strafesnet_snf::map::Error> for ReplayError{
	fn from(value:strafesnet_snf::map::Error)->Self{
		Self::SNFM(value)
	}
}
impl From<strafesnet_snf::bot::Error> for ReplayError{
	fn from(value:strafesnet_snf::bot::Error)->Self{
		Self::SNFB(value)
	}
}
